$! delrep.com
$!
$! This command file deletes the given object_id for a (hopefully) obsolete
$! report name from the given database using the system catalogs including:
$! ii_objects, ii_reports, and ii_rcommands.  Usage is:
$!
$!   		@delrep <database_name> <object_id>
$!
$! where <object_id> can be obtained by using the listrep com file with:
$!
$!		@listrep <database_name>
$!
$  ON ERROR THEN EXIT
$  ON CONTROL_Y THEN EXIT
$!
$  IF P1 .EQS. "" .OR. P2 .EQS. "" THEN EXIT
$
$! Write a file with the sql TM commands needed. 
$  OPEN/WRITE sql_file delrep.sql
$  del_stmt =  "delete from ii_rcommands where object_id =" + P2 + ";\g"
$  WRITE sql_file del_stmt
$  del_stmt = "delete from ii_reports where object_id =" + P2 + ";\g"
$  WRITE sql_file del_stmt
$  del_stmt = "delete from ii_objects where object_id =" + P2 + ";\g"
$  WRITE sql_file del_stmt
$  CLOSE sql_file
$!
$! Start up the Terminal Monitor getting input from the file, delrep.sql
$  sql -s <delrep.sql 'P1'
$!
$  DELETE delrep.sql;*
$!
$! Remind the user to delete all obsolete .rw files!
$ WRITE SYS$OUTPUT "  "
$ WRITE SYS$OUTPUT "NOTE: Be sure to delete obsolete .rw files."
$  exit
