$! ruledef.com
$!
$! This command file selects all rulenames and text_segments (rule definitions)
$! from the given database using the system catalogs to obtain this 
$! information.  Usage is:
$!
$!		@ruledef <database_name>
$!
$  ON ERROR THEN EXIT
$  ON CONTROL_Y THEN EXIT
$!
$  IF P1 .EQS. "" THEN EXIT
$!
$! Write a file with the sql TM commands needed. 
$  OPEN/WRITE sql_file ruledef.sql
$  select_stmt =  "select rule_name, text_segment"
$  select_stmt = select_stmt + " from iirules"
$  select_stmt =  select_stmt + ";\g"
$  WRITE sql_file select_stmt
$  CLOSE sql_file
$!
$! Start up the Terminal Monitor getting input from the file, ruledef.sql
$  sql -s <ruledef.sql 'P1'
$!
$  DELETE ruledef.sql;*
$  exit
