$! datacol.com
$!
$! This command file selects the column names used as data columns in the
$! indicated index and from the given database using
$! the system catalogs to obtain this information.  Usage is:
$!
$!		@datacol  <database_name>  <index_name>
$!
$  ON ERROR THEN EXIT
$  ON CONTROL_Y THEN EXIT
$!
$  IF P1 .EQS. "" .OR. P2 .EQS. "" THEN EXIT
$!
$! Write a file with the sql TM commands needed. 
$  OPEN/WRITE sql_file datacol.sql
$  select_stmt = "select table_name, column_name, column_datatype"
$  select_stmt = select_stmt + " from iicolumns where key_sequence=0 "
$  select_stmt = select_stmt + "and table_name=lowercase('"+P2+"')"
$  select_stmt =  select_stmt + ";\g"
$  WRITE sql_file select_stmt
$  CLOSE sql_file
$!
$! Display a message about the output from the Terminal Monitor.
$!
$ WRITE SYS$OUTPUT "List of non-key columns for the indicated index, table_name"
$!
$! Start up the Terminal Monitor getting input from the file, datacol.sql
$  sql -s <datacol.sql 'P1'
$!
$  DELETE datacol.sql;*
$  exit
