$! listproc.com
$!
$! This command file selects the procedures, owners, and dates of creation
$! from the given database using the system catalogs to obtain this 
$! information.  Usage is:
$!
$!		@listproc <database_name>
$!
$  ON ERROR THEN EXIT
$  ON CONTROL_Y THEN EXIT
$!
$  IF P1 .EQS. "" THEN EXIT
$!
$! Write a file with the sql TM commands needed. 
$  OPEN/WRITE sql_file listproc.sql
$  select_stmt =  "select distinct procedure_name, procedure_owner, create_date"
$  select_stmt = select_stmt + " from iiprocedures"
$  select_stmt =  select_stmt + ";\g"
$  WRITE sql_file select_stmt
$  CLOSE sql_file
$!
$! Start up the Terminal Monitor getting input from the file, listproc.sql
$  sql -s <listproc.sql 'P1'
$!
$  DELETE listproc.sql;*
$  exit
