$! listrule.com
$!
$! This command file selects the rule names, owners, and table on which the
$! rule is defined from the given database using the system catalogs to 
$! obtain this information.  Usage is:
$!
$!		@listrule <database_name>
$!
$  ON ERROR THEN EXIT
$  ON CONTROL_Y THEN EXIT
$!
$  IF P1 .EQS. "" THEN EXIT
$!
$! Write a file with the sql TM commands needed. 
$  OPEN/WRITE sql_file listrule.sql
$  select_stmt =  "select rule_name, rule_owner, table_name"
$  select_stmt = select_stmt + " from iirules"
$  select_stmt =  select_stmt + ";\g"
$  WRITE sql_file select_stmt
$  CLOSE sql_file
$!
$! Start up the Terminal Monitor getting input from the file, listrule.sql
$  sql -s <listrule.sql 'P1'
$!
$  DELETE listrule.sql;*
$  exit
